#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ${package}.bean;

import ${package}.model.Group;
import ${package}.model.Role;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.faces.model.SelectItem;
import javax.inject.Inject;
import javax.inject.Named;
import org.apache.myfaces.extensions.cdi.core.api.scope.conversation.ViewAccessScoped;
import org.conventionsframework.qualifier.Service;
import org.conventionsframework.qualifier.Type;
import org.conventionsframework.service.BaseService;

/**
 *
 * @author rmpestano
 */
@Named
@ViewAccessScoped
public class ComboMBean implements Serializable {

    private List<SelectItem> groupList;
    private List<SelectItem> roleList;
    
    @Inject
    @Service(type = Type.STATELESS, entity = Group.class)
    private BaseService groupService;
    @Inject
    @Service(type = Type.STATELESS, entity = Role.class)
    private BaseService roleService;

    
    public List<SelectItem> getGroupList() {
        if (groupList == null) {
            groupList = new ArrayList<SelectItem>();
            groupList.add(new SelectItem(null, "All"));
            List<Group> allGroups = groupService.findAll();
            for (Group group : allGroups) {
                SelectItem item = new SelectItem(group.getName(), group.getName());
                groupList.add(item);
            }
        }
        return groupList;
    }
    
    public List<SelectItem> getRoleList() {
         if (roleList == null) {
            roleList = new ArrayList<SelectItem>();
            roleList.add(new SelectItem(null, "All"));
            List<Role> allGroups = roleService.findAll();
            for (Role role : allGroups) {
                SelectItem item = new SelectItem(role.getName(), role.getName());
                roleList.add(item);
            }
        }
        return roleList;
    }

}
